Arguments {R.utils} | R Documentation

## Static class to validate and process arguments

### Description

Package: R.utils
Class Arguments

`Object`
`~~|`
`~~+--``Arguments`

Directly known subclasses:

public static class Arguments
extends Object

### Fields and Methods

Methods:

| `getCharacter` | -
| `getCharacters` | Coerces to a character vector and validates.
| `getDirectory` | -
| `getDouble` | -
| `getDoubles` | Coerces to a double vector and validates.
| `getEnvironment` | Gets an existing environment.
| `getFilename` | Gets and validates a filename.
| `getIndex` | -
| `getIndices` | Coerces to a integer vector and validates.
| `getInstanceOf` | Gets an instance of the object that is of a particular class.
| `getInteger` | -
| `getIntegers` | Coerces to a integer vector and validates.
| `getLogical` | -
| `getLogicals` | Coerces to a logical vector and validates.
| `getNumeric` | -
| `getNumerics` | Coerces to a numeric vector and validates.
| `getReadablePath` | -
| `getReadablePathname` | Gets a readable pathname.
| `getReadablePathnames` | Gets a readable pathname.
| `getRegularExpression` | Gets a valid regular expression pattern.
| `getVector` | Validates a vector.
| `getVerbose` | Coerces to Verbose object.
| `getWritablePath` | -
| `getWritablePathname` | Gets a writable pathname.

Methods inherited from Object:
$, $<-, [[, [[<-, as.character, attach, attachLocally, clearCache, clearLookupCache, clone, detach, equals, extend, finalize, getEnvironment, getFieldModifier, getFieldModifiers, getFields, getInstantiationTime, getStaticInstance, hasField, hashCode, ll, load, names, objectSize, print, save

### Author(s)

Henrik Bengtsson

[Package R.utils version 2.6.0 Index]